Пређи на садржај

The site listing object

Attributes

iduuid

Unique identifier

product_iduuid
products.id

Identifier of the related unit

site_iduuid
sites.id

Identifier of the site this listing is defined in

created_atread-onlytimestamp with time zone

Creation timestamp

updated_atread-onlytimestamp with time zone

Last modification timestamp

orderinteger

Order of the listing as displayed on the site

slugMultiLanguageString

Localized slug of the listing

Related resources

Embed related resources in the response with the select parameter, for example select=*,products(*). Resources related through more than one column need the column as a hint, like table!column(*).

products(*)object | null
products

The product referenced by product_id.

sites(*)object | null
sites

The site referenced by site_id.

The site listing object
JSON
{
  "id": "00000000-0000-0000-0000-000000000000",
  "product_id": "00000000-0000-0000-0000-000000000000",
  "site_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-10-30T22:27:57.301Z",
  "updated_at": "2026-10-30T22:27:57.301Z",
  "order": 0,
  "slug": {}
}
Including related resources
curl -X GET "https://api.bookingmood.com/v1/site_listings?limit=10&select=*,products(*),sites(*)" \
  -H "Authorization: Bearer YOUR_API_KEY"

List site listings

Filters

idFilter<uuid>

Unique identifier

product_idFilter<uuid>
products.id

Identifier of the related unit

site_idFilter<uuid>
sites.id

Identifier of the site this listing is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

orderFilter<integer>

Order of the listing as displayed on the site

slugFilter<MultiLanguageString>

Localized slug of the listing

Responses

200

A list of site listings with the selected columns

206

Partial Content

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
GET /site_listings
curl -X GET "https://api.bookingmood.com/v1/site_listings?select=*&limit=10" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "product_id": "00000000-0000-0000-0000-000000000000",
    "site_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:27:57.301Z",
    "updated_at": "2026-10-30T22:27:57.301Z",
    "order": 0,
    "slug": {}
  }
]

Create site listings

Body

Partial<SiteListing> | Array<Partial<SiteListing>>

Read-only attributes are set by the database and can't be written.

Responses

201

The newly created site listings with the selected columns

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
POST /site_listings
curl -X POST "https://api.bookingmood.com/v1/site_listings" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "order": 0,
    "product_id": "00000000-0000-0000-0000-000000000000",
    "site_id": "00000000-0000-0000-0000-000000000000",
    "slug": {}
  }'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "product_id": "00000000-0000-0000-0000-000000000000",
    "site_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:27:57.301Z",
    "updated_at": "2026-10-30T22:27:57.301Z",
    "order": 0,
    "slug": {}
  }
]

Delete site listings

Filters

Without filters, this request deletes all site listings you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>

Unique identifier

product_idFilter<uuid>
products.id

Identifier of the related unit

site_idFilter<uuid>
sites.id

Identifier of the site this listing is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

orderFilter<integer>

Order of the listing as displayed on the site

slugFilter<MultiLanguageString>

Localized slug of the listing

Responses

200

The deleted site listings with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
DELETE /site_listings
curl -X DELETE "https://api.bookingmood.com/v1/site_listings?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "product_id": "00000000-0000-0000-0000-000000000000",
    "site_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:27:57.301Z",
    "updated_at": "2026-10-30T22:27:57.301Z",
    "order": 0,
    "slug": {}
  }
]

Update site listings

Filters

Without filters, this request updates all site listings you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>

Unique identifier

product_idFilter<uuid>
products.id

Identifier of the related unit

site_idFilter<uuid>
sites.id

Identifier of the site this listing is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

orderFilter<integer>

Order of the listing as displayed on the site

slugFilter<MultiLanguageString>

Localized slug of the listing

Body

Partial<SiteListing>

Read-only attributes are set by the database and can't be written.

Responses

200

The updated site listings with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
PATCH /site_listings
curl -X PATCH "https://api.bookingmood.com/v1/site_listings?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "order": 0
  }'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "product_id": "00000000-0000-0000-0000-000000000000",
    "site_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:27:57.301Z",
    "updated_at": "2026-10-30T22:27:57.301Z",
    "order": 0,
    "slug": {}
  }
]

Преузмите контролу над својим резервацијама. Изградите свој посао.

Придружите се 1200+ независним компанијама за изнајмљивање смештаја користећи Bookingmood како бисте повећали број директних резервација и изградили јаче односе са гостима.

Започните бесплатну пробну верзију од 14 дана